# The library consists of headers only
%global debug_package %{nil}

Name:           glm
Version:        0.9.9.8
Release:        %mkrel 2
Summary:        C++ mathematics library for graphics programming
Group:          Development/C++
License:        MIT
URL:            http://glm.g-truc.net/
Source0:        https://github.com/g-truc/glm/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch0:         glm-0.9.7.2-secondary.patch
Patch1:         glm-0.9.9.8-install.patch

BuildRequires:  cmake
BuildRequires:  dos2unix
BuildRequires:  p7zip

%description
GLM is a C++ library for doing mathematics operations
required in many OpenGL based applications. Its interface
has been designed to resemble the built-in matrix and vector
types of the OpenGL shading language.

%package        devel
Group:          Development/Libraries
Summary:        C++ mathematics library for graphics programming

%description    devel
GLM is a C++ library for doing mathematics operations
required in many OpenGL based applications. Its interface
has been designed to resemble the built-in matrix and vector
types of the OpenGL shading language.

%{name}-devel is only required for building software that uses
the GLM library. Because GLM currently is a header-only library,
there is no matching run time package.

%package        doc
Summary:        Documentation for %{name}-devel
Group:          Documentation
BuildArch:      noarch

%description    doc
The %{name}-doc package contains reference documentation and
a programming manual for the %{name}-devel package.

%prep
%setup -q

# There are tons of files with CRLF line endings
find . -type f -exec dos2unix "{}" +;

# These are just for being able to apply the patch that
# was exported from git.
sed -i 's/\r//' glm/simd/platform.h
sed -i 's/\r//' test/core/core_setup_message.cpp

%ifnarch %{ix86} x86_64
#patch0 -p1 -b .secondary
%endif
%patch1 -p1 -b .cmakelists

%build
%cmake -DGLM_TEST_ENABLE=OFF
%cmake_build

%install
%cmake_install

find %{buildroot} -name CMakeLists.txt -delete

# Dirty hack to provide .pc file. Needed bc of upstream stupidity.
mkdir -p %{buildroot}%{_libdir}/pkgconfig/
cat << EOF > %{buildroot}%{_libdir}/pkgconfig/%{name}.pc
prefix=%{_prefix}
includedir=${prefix}/include

Name: GLM
Description: OpenGL Mathematics
Version: %{version}
Cflags: -I${includedir}
EOF

%files devel
%doc readme.md
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%doc doc/manual/
%doc doc/api/


%changelog
* Thu Nov 03 2022 tex - 0.9.9.8-2pclos2022
- rebuild against updates

* Thu Nov 03 2022 tex - 0.9.9.8-1pclos2022
- create pkg
